System Requirements

Aspose.Tasks for Java can be used to build any type of a 32-bit or 64-bit Java application.

Supported Operating Systems

Aspose.Tasks for Java supports any operating system where Java runtime is installed including, but not limited to:

Windows

  • Microsoft Windows Server 2003 (x64, x86)
  • Microsoft Windows Server 2008 (x64, x86)
  • Microsoft Windows Server 2012 (x64, x86)
  • Microsoft Windows Server 2016 (x64, x86)
  • Microsoft Windows Server 2019 (x64, x86)
  • Microsoft Windows 2000 (x64, x86)
  • Microsoft Windows Vista (x64, x86)
  • Microsoft Windows XP (x64, x86)
  • Microsoft Windows 7 (x64, x86)
  • Microsoft Windows 8, 8.1 (x64, x86)
  • Microsoft Windows 10 (x64, x86)

Linux

  • Linux (Ubuntu, OpenSUSE, CentOS and others)

Mac

  • Mac OS X

Supported Java Versions

Aspose.Tasks for Java supports any operating system that runs Java runtime. It has been tested on Windows and Linux with the following version:

Java Versions

  • J2SE 7.0 (1.7)
  • J2SE 8.0 (1.8)
  • or above